# Controls

{% embed url="<https://www.youtube.com/watch?v=ltWTyRm-xks>" %}
Controls for Rocket Soccer
{% endembed %}

| Control                        | Action                     |
| ------------------------------ | -------------------------- |
| **Left Mouse Button + W**      | Boost                      |
| **Right Mouse Button**         | Jump Up                    |
| **2 x Right Mouse Button**     | Jump Forward               |
| **2 x Right Mouse Button + W** | Jump Forward *(Frontflip)* |
| **2 x Right Mouse Button + S** | Jump Back *(Backflip)*     |
| **2 x Right Mouse Button + A** | Jump Left *(Left Spin)*    |
| **2 x Right Mouse Button + D** | Jump Right *(Left Spin)*   |
| **SHIFT**                      | Drift                      |
| **Space**                      | Handbrake                  |
| **Right Mouse Button**         | Get back on 4 wheels       |

{% hint style="info" %}
All controls can be changed in settings.lua!
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tynopia.net/reference/rocket-soccer/controls.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
